unit DemoForm;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, ExtCtrls;

type
  TfrmMain = class(TForm)
    btnHello: TButton;
    Icons: TGroupBox;
    imgIcon: TImage;
    btnTom: TButton;
    btnJerry: TButton;
    grpBitmaps: TGroupBox;
    btnExit: TButton;
    btnLoad: TButton;
    imgBitmap: TImage;
    lstSource: TListBox;
    btnSource: TButton;
    procedure btnHelloClick(Sender: TObject);
    procedure btnTomClick(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure FormDestroy(Sender: TObject);
    procedure btnJerryClick(Sender: TObject);
    procedure btnExitClick(Sender: TObject);
    procedure btnLoadClick(Sender: TObject);
    procedure btnSourceClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  frmMain: TfrmMain;

implementation

uses
  Resources;

var
  ResourceLib: TResourceLibrary;

{$R *.DFM}

// we must include the constants so that we can identify the resources

{$I ResourceConstants.INC}

procedure TfrmMain.btnHelloClick(Sender: TObject);
begin
  ShowMessage (ResourceLib[TxtHelloWorld]);
end;

procedure TfrmMain.btnTomClick(Sender: TObject);
begin
  ResourceLib.LoadIcon (TomIcon, imgIcon.Picture.Icon);
end;

procedure TfrmMain.btnJerryClick(Sender: TObject);
begin
  ResourceLib.LoadIcon (JerryIcon, imgIcon.Picture.Icon);
end;

procedure TfrmMain.FormCreate(Sender: TObject);
begin
  ResourceLib := TResourceLibrary.CreateForDLL ('ResourceDLL.DLL');
end;

procedure TfrmMain.FormDestroy(Sender: TObject);
begin
  ResourceLib.Free;
end;

procedure TfrmMain.btnExitClick(Sender: TObject);
begin
  Application.Terminate;
end;

procedure TfrmMain.btnLoadClick(Sender: TObject);
begin
  ResourceLib.LoadBitmap (SeasetBitmap, imgBitmap.Picture.Bitmap);
end;

procedure TfrmMain.btnSourceClick(Sender: TObject);
begin
  lstSource.Items.LoadFromStream (ResourceLib.ResourceStream[ResourcesSourceCode]);
end;

end.

